
import pygame

from globs import GLOBALS

class Background(pygame.Surface):
    def __init__(self, back, front):
        pygame.Surface.__init__(self, GLOBALS["screen_size"])

        self.back = back
        self.front = front

        self.back_speed = 0
        self.front_speed = 4

        self.back_w = back.get_size()[0]
        self.front_w = front.get_size()[0]

        self.back_x = 0
        self.front_x = 0

    def update(self, direction=0):
        if direction > 0:
            direction = -1
        elif direction < 0:
            direction = 1

        #update back
        if self.back_speed:
            self.back_x += self.back_speed * direction
            if self.back_x > self.back_w or self.back_x < - self.back_w:
                self.back_x = 0

        self.blit(self.back, (self.back_x, 0))
        self.blit(self.back, (self.back_x - self.back_w, 0))
        self.blit(self.back, (self.back_x + self.back_w, 0))

        #update front
        return
        self.front_x += self.front_speed * direction
        if self.front_x > self.front_w or self.front_x < -self.front_w:
            self.front_x = 0

        self.blit(self.front, (self.front_x, 0))
        self.blit(self.front, (self.front_x - self.front_w,0))
        self.blit(self.front, (self.front_x + self.front_w,0))


