import pygame
from pygame.locals import *

from pykitten import utils
from pykitten.engine import State
from pykitten.gui import TextLine

from globs import GLOBALS

class GameOver(State):
    def __init__(self):
        State.__init__(self)
        self.kill_prev = True
        pygame.mouse.set_visible(0)

        self.background.blit(GLOBALS["backgrounds"]["game_over.png"], (0,0))

        #keyboard events
        self.add_kbevent(KEYUP, K_ESCAPE, self.quit)

    def main_start(self):
        pygame.mouse.set_visible(0)
        State.main_start(self)
        GLOBALS["jb"].stop()
